Object.defineProperty(exports, Symbol.toStringTag, { value: "Module" });
require("../../_virtual/_rolldown/runtime.cjs");
const require_safe_custom_element = require("../../shared/safe-custom-element.cjs");
const require_index = require("../../shared/tailwind-element/index.cjs");
const require_decorate = require("../../_virtual/_@oxc-project_runtime@0.127.0/helpers/decorate.cjs");
const require_style = require("./style.css?inline.cjs");
let lit = require("lit");
let lit_decorators_js = require("lit/decorators.js");
//#region src/components/lukso-share/index.ts
var LuksoShare = class LuksoShare extends require_index.TailwindStyledElement(require_style.default) {
	constructor(..._args) {
		super(..._args);
		this.customStyle = "";
		this.providers = "";
		this.defaultProviders = [
			"twitter",
			"instagram",
			"linkedin",
			"telegram",
			"discord",
			"reddit",
			"medium",
			"github"
		];
		this.defaultProviderLinks = {
			twitter: "https://twitter.com/ERC725Account",
			instagram: "https://www.instagram.com/lukso",
			linkedin: "https://linkedin.com/company/lukso",
			telegram: "https://t.me/LUKSO_News",
			discord: "https://discord.gg/lukso",
			reddit: "https://www.reddit.com/r/lukso",
			medium: "https://medium.com/lukso",
			github: "https://github.com/lukso-network"
		};
	}
	linkTemplate(name, url) {
		return lit.html`<a
      href=${url}
      target="_blank"
      class="transition-all duration-300 rounded-full opacity-50 hover:opacity-80 hover:shadow-button-medium-hover-primary h-7 w-7"
      aria-label="${name}"
      ><img src="/assets/images/social-${name}.svg" alt=""
    /></a>`;
	}
	render() {
		const linkTemplates = [];
		let providers = this.defaultProviders;
		try {
			providers = JSON.parse(this.providers);
		} catch {}
		for (const provider of providers) if (typeof provider === "string") linkTemplates.push(this.linkTemplate(provider, this.defaultProviderLinks[provider]));
		else linkTemplates.push(this.linkTemplate(provider.name, provider.url));
		return lit.html`<div
      class="grid gap-2 sm:gap-4"
      style="grid-template-columns: repeat(${providers.length}, max-content); ${this.customStyle}"
    >
      ${linkTemplates}
    </div>`;
	}
};
require_decorate.__decorate([(0, lit_decorators_js.property)({
	type: String,
	attribute: "custom-style"
})], LuksoShare.prototype, "customStyle", void 0);
require_decorate.__decorate([(0, lit_decorators_js.property)({ type: String })], LuksoShare.prototype, "providers", void 0);
LuksoShare = require_decorate.__decorate([require_safe_custom_element.safeCustomElement("lukso-share")], LuksoShare);
//#endregion
Object.defineProperty(exports, "LuksoShare", {
	enumerable: true,
	get: function() {
		return LuksoShare;
	}
});
